﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Vevo.Domain.Discounts
{
    public class CouponCustomer : ICloneable
    {
        #region Private

        private string _couponID = String.Empty;
        private string _customerUserName = String.Empty;
        private int _currentQuantity = 0;

        #endregion

        #region Public Properties
        public string CouponID { get { return _couponID; } set { _couponID = value; } }
        public string CustomerUserName { get { return _customerUserName; } set { _customerUserName = value; } }
        public int CurrentQuantity { get { return _currentQuantity; } set { _currentQuantity = value; } }
        #endregion

        #region Public Method
        public bool isExpired()
        {
            Coupon coupon = DataAccessContext.CouponRepository.GetOne( _couponID );
            if (_currentQuantity >= coupon.ExpirationQuantity)
                return true;
            else
                return false;
        }

        #endregion

        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            Coupon newObject = (Coupon) MemberwiseClone();
            return newObject;
        }

        #endregion
    }
}
