using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Orders
{
    [Serializable]
    public class NullOptionItemValueCollection : OptionItemValueCollection
    {
        #region Private

        private static NullOptionItemValueCollection _instance;

        #endregion


        #region Public Properties

        public static NullOptionItemValueCollection Instance
        {
            get
            {
                if (_instance == null)
                    _instance = new NullOptionItemValueCollection();

                return _instance;
            }
        }

        public override bool IsNull
        {
            get { return true; }
        }

        #endregion


        #region Public Methods

        public override string ToString()
        {
            return String.Empty;
        }

        #endregion

    }
}
