using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Base;

namespace Vevo.Domain.Orders
{
    public class WishList : ICloneable
    {
        #region Private

        private string _wishListID = "0";
        private string _customerID = "0";
        private string _cartID = Cart.Null.CartID;

        //------------------------------------------------------------
        // Custom private members

        #endregion


        #region Public Constructors

        public WishList()
        {
        }

        #endregion


        #region Public Properties

        public static WishList Null
        {
            get { return NullWishList.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string WishListID
        {
            get { return _wishListID; }
            set { _wishListID = value; }
        }

        public string CustomerID
        {
            get { return _customerID; }
            set { _customerID = value; }
        }

        public string CartID
        {
            get { return _cartID; }
            set { _cartID = value; }
        }

        #endregion


        #region Custom Properties

        public Cart Cart
        {
            get
            {
                return DataAccessContext.CartRepository.GetOne( CartID );
            }
        }

        #endregion


        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            WishList newObject = (WishList) MemberwiseClone();
            return newObject;
        }

        #endregion


        #region Public Method

        #endregion
    }
}
