using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Configurations;
using Vevo.Domain.Orders;

namespace Vevo.Domain.Payments
{
    public class NullGiftCertificate : GiftCertificate
    {
        #region Private

        private static NullGiftCertificate _instance = new NullGiftCertificate();

        #endregion


        #region Constructors

        private NullGiftCertificate()
            : base()
        {
        }

        #endregion


        #region Public Properties

        public static GiftCertificate Instance
        {
            get { return _instance; }
        }

        public override bool IsNull
        {
            get
            {
                return true;
            }
        }

        #endregion


        #region Public Methods

        public override decimal GetApplicableAmount(
            ConfigurationCollection configurations,
            CartItemGroup cartItemGroup,
            decimal subtotal,
            decimal discount,
            decimal pointDiscount,
            decimal shippingCost,
            decimal handlingFee,
            decimal tax,
            decimal reservedGiftAmount )
        {
            return 0;
        }

        #endregion

    }
}
