using System;
using System.Data;
using System.Configuration;

namespace Vevo.Domain.Payments
{
    /// <summary>
    /// Summary description for PaymentUtilities
    /// </summary>
    public static class PaymentUtilities
    {
        public static string CustomPaymentName = "Custom";
        public static string NoPaymentName = "No Payment";


        public static bool IsCustomPayment( string paymentMethodName )
        {
            if (String.Compare( paymentMethodName, CustomPaymentName, true ) == 0 ||
                paymentMethodName.StartsWith( CustomPaymentName + " (" ))
                return true;
            else
                return false;
        }

        public static bool IsNoPayment( string paymentMethodName )
        {
            if (String.Compare( paymentMethodName, NoPaymentName, true ) == 0 ||
                paymentMethodName.StartsWith( NoPaymentName + " (" ))
                return true;
            else
                return false;
        }

        public static string GetSimpleName( string paymentMethodName )
        {
            if (IsCustomPayment( paymentMethodName ))
                return CustomPaymentName;
            else if (IsNoPayment( paymentMethodName ))
                return NoPaymentName;
            else
                return paymentMethodName;
        }

        public static string CreateFullCustomPaymentName( string subPaymentMethod )
        {
            return CustomPaymentName + " (" + subPaymentMethod + ")";
        }

    }

}
